/*******************************************************
*
Theme Name:     FPGA - Interface
Theme URI:      
Description:    
Version:        2.0
Author:         Joachim Reif
License:        none (public domain)
Tags:           Look of the FPGA Output-Window
*
*******************************************************/

/*******************************************************
*
Directory
1. CSS-Reset
2. Colors
3. Basic class styles
4. Windowlayout
5. Sidepanel
6. Others
*
*******************************************************/

/* 1. CSS-Reset */

html {
    box-sizing: border-box;
}

*,
*::before,
*::after {
    box-sizing: inherit;
    margin: 0;
    padding: 0;
    user-select: none;

}

/* 2. Colors */

:root {
    --rwth-blue: rgb(0, 100, 239);
    --border-color: rgb(0, 0, 0);
    --caption-color: rgb(255, 255, 255);
    --blue-hover: rgb(0, 84, 202);
}

/* 3. Basic class styles */

/* 4. Windowlayout */
body {
    display: grid;
    row-gap: 0;
    column-gap: 0;
    overflow: hidden;
}

@media screen and (max-height: 56.25em) {
    body {
        grid-template-columns: 15vw 85vw;
        grid-template-rows: 6vh 94vh;
    }

    h1 {
        height: 4vh;
        margin-top: 1vh;
        margin-bottom: 1vh;
        font-size: 3.5vh;
    }

    header>a {
        font-size: 2vh;

        position: absolute;
        top: 1.7vh;
        right: 1.7vh;
    }
}

@media screen and (min-height: 56.25em) {
    body {
        grid-template-columns: 15vw 85vw;
        grid-template-rows: 63px calc(100vh - 63px);
    }

    h1 {
        height: 40px;
        margin-top: 11.5px;
        margin-bottom: 11.5px;
    }

    header>a {
        font-size: 16pt;

        position: absolute;
        top: 15px;
        right: 15px;
    }
}

header {
    grid-column: 1/3;
    grid-row: 1/2;
    padding-left: 5px;
    background-color: var(--rwth-blue);
    border-bottom: var(--border-color) 2px solid;

    position: sticky;
    top: 0;
}

header>a {
    width: 10vh;

    color: black;
    font-family: sans-serif;
    text-decoration: none;
    text-align: center;

    background-color: var(--blue-hover);
    border: var(--border-color) 3px solid;
    border-radius: 8px;
}

nav {
    grid-column: 1/2;
    grid-row: 2/3;

    border-right: var(--border-color) 3px solid;
    border-bottom: var(--border-color) 3px solid;
}

section {
    grid-column: 2/3;
    grid-row: 2/3;

    overflow-x: hidden;
    overflow-y: auto;
}

/* 5. Sidepanel */
div {
    margin-top: 20px;
    margin-bottom: 20px;
    text-align: left;
}

label {
    margin-left: 1vw;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 13pt;
}

nav input[type="checkbox"] {
    margin: 10px 5px;
    margin-left: 8px;
    padding: 0;
    width: 18px;
    height: 18px;
}

.button-sidebar {
    background-color: var(--rwth-blue);
    width: 12.5vw;

    font-size: 13pt;
    margin-left: 1vw;

    border: var(--border-color) 3px solid;
    border-radius: 8px;
}

.button-sidebar:active {
    background-color: var(--blue-hover);
    font-family: Arial, Helvetica, sans-serif;
}

/* Others */

h1 {
    text-align: left;
    color: var(--caption-color);
}